Subject: Re: bug#25774: libmicrohttpd: fails to build (test-driver aborted)

From: ng0 <[email-masked]>
Date: Sat, 18 Feb 2017 09:51:35 +0000

On 17-02-17 19:42:15, Leo Famulari wrote:
> On Sat, Feb 18, 2017 at 12:59:49AM +0100, Ivan Vilata i Balaguer wrote:
> > I think I left out a couple of lines at the end:
> > 
> > ```
> > Fatal error in GNU libmicrohttpd daemon.c:5190: MHD_stop_daemon() called while we have suspended connections.
> > 
> > FAIL test_upgrade_ssl (exit status: 134)
> > ```
> > 
> > > The only debugging suggestion I have is to make sure that your clock is
> > > correct. Test suites that do certificate verification should take care
> > > not to break in the future, but perhaps it's less common for test
> > > authors to handle the case of a clock set to the past.
> > 
> > Well, it may be some second off, but not much more than that…
> 
> That's normal. I was thinking about the clock being set to the Unix
> epoch or something extreme like that.
> 
> > 
> > > Beyond that, did you find anything relevant on the upstream bug tracker?
> > > 
> > > https://ng.gnunet.org/bugs/view_all_bug_page.php
> > 
> > I can't find anything related there, I also searched the net before
> > sending the report but found nothing that seemed the same error.
> 
> What about this one?
> 
> https://ng.gnunet.org/bugs/view.php?id=4844
> 
> The report says that it's limited to ppc64le, but the symptoms appear
> identical.
> 
> 
> 

I could ask grothoff about if a new release will happen soon, but it
looks like it:

commit f154b0ef8894185fd6c01888d10280049bed10c6
Author: Christian Grothoff <[email-masked]>
Date:   Wed Feb 15 13:38:06 2017 +0100

    bump dates and versions and update ChangeLog

This is the HEAD~~ commit.
The one afterwards fixes an android problem.
-- 
ng0 -- https://www.inventati.org/patternsinthechaos/